Update Case
curl --request PATCH \
--url https://api.eka.care/mr/api/v1/cases/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Pt-Id: <x-pt-id>' \
--data '
{
"display_name": "Leg Injury",
"hi_type": "OPConsultation",
"type": "OP",
"occurred_at": 1678886400,
"partner_meta": {
"facility_id": "GH",
"uhid": "UHID_1234"
}
}
'import requests
url = "https://api.eka.care/mr/api/v1/cases/{id}"
payload = {
"display_name": "Leg Injury",
"hi_type": "OPConsultation",
"type": "OP",
"occurred_at": 1678886400,
"partner_meta": {
"facility_id": "GH",
"uhid": "UHID_1234"
}
}
headers = {
"X-Pt-Id": "<x-pt-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Pt-Id': '<x-pt-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
display_name: 'Leg Injury',
hi_type: 'OPConsultation',
type: 'OP',
occurred_at: 1678886400,
partner_meta: {facility_id: 'GH', uhid: 'UHID_1234'}
})
};
fetch('https://api.eka.care/mr/api/v1/cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "Missing required field: type",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "UNAUTHORIZED"
}{
"error": "Case not found for the given ID",
"code": "CASE_NOT_FOUND"
}{
"error": "Something went wrong while processing the request",
"code": "INTERNAL_SERVER_ERROR"
}Cases
Update Case
This endpoint allows updating details of an existing medical case using the case ID.
PATCH
/
mr
/
api
/
v1
/
cases
/
{id}
Update Case
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Patient ID
Path Parameters
Unique case ID
Body
application/json
Human-readable name for the case
Example:
"Leg Injury"
Type of case
Available options:
OPConsultation, Prescription, DischargeSummary, DiagnosticReport, ImmunizationRecord, HealthDocumentRecord, WellnessRecord Example:
"OPConsultation"
Type of the case
Example:
"OP"
Timestamp when the event occurred (Unix timestamp)
Example:
1678886400
metadata attached to the case.
Example:
{ "facility_id": "GH", "uhid": "UHID_1234" }Response
Case updated successfully (no content)
Was this page helpful?
⌘I

